<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.geg</groupId>
        <artifactId>itc-pcitc-demo</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>itc-pcitc-demo-service</artifactId>
    <name>itc-pcitc-demo-service</name>
    <description>itc-pcitc-demo-service</description>

    <properties>
        <maven.compiler.source>${java.version}</maven.compiler.source>
        <maven.compiler.target>${java.version}</maven.compiler.target>
        <docker-image-name>pcitc/itc-pcitc-demo</docker-image-name>
    </properties>

    <dependencies>

        <dependency>
            <groupId>com.geg</groupId>
            <artifactId>itc-pcitc-dependencies-service</artifactId>
            <version>${revision}</version>
        </dependency>
        
        <dependency>
            <groupId>com.geg</groupId>
            <artifactId>itc-pcitc-demo-api</artifactId>
            <version>${revision}</version>
        </dependency>
        
       <dependency>
            <groupId>com.geg</groupId>
            <artifactId>itc-ms-system-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>com.geg</groupId>
            <artifactId>itc-ms-facade-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>com.geg</groupId>
            <artifactId>itc-ms-common-service</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>com.geg</groupId>
            <artifactId>itc-ms-workflow-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>com.geg</groupId>
            <artifactId>itc-ms-user-api</artifactId>
            <version>${revision}</version>
        </dependency>
        
    </dependencies>
    <build>
    	<finalName>app</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.7.6</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                        <configuration>
                            <!--<classifier>classes</classifier>-->
                            <attach>false</attach>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                </configuration>
            </plugin>
            
			<plugin>
				<groupId>com.spotify</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<version>1.0.0</version>
				<configuration>
					<dockerHost>${docker-registry}</dockerHost>
					<timeout>600000</timeout>
                    <imageName>${docker-image-name}:${maven.build.timestamp}</imageName>
					<baseImage>java</baseImage>
					<dockerDirectory>${dockerDirectory}</dockerDirectory>
					<pushImage>${docker-image-name}:${maven.build.timestamp}</pushImage>
					<skipDockerBuild>false</skipDockerBuild>
					<buildArgs>
						<SOURCE_NAME>${docker-jar-name}</SOURCE_NAME>
						<PLATFORM>linux/arm64</PLATFORM>
					</buildArgs>
					<platform>linux/arm64</platform>
					<resources>
						<resource>
							<targetPath>/</targetPath>
							<directory>${project.build.directory}</directory>
							<include>${docker-jar-name}</include>
						</resource>
					</resources>
				</configuration>
			</plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.yml</include>
                    <include>**/*.properties</include>
                    <include>**/*.xml</include>
                </includes>
                <filtering>false</filtering>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
					<include>**/*</include>
                </includes>
                <filtering>false</filtering>
            </resource>
        </resources>
    </build>
</project>